Bug 1383369 - All tempest user supposed to have permission to swift for backup
Summary: All tempest user supposed to have permission to swift for backup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: RHOS Maint
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-10 13:20 UTC by Attila Fazekas
Modified: 2016-12-14 16:15 UTC (History)
12 users (show)

Fixed In Version: python-tripleoclient-5.3.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:15:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 384820 None None None 2016-11-03 19:00:33 UTC

Description Attila Fazekas 2016-10-10 13:20:49 UTC
Since the tempest-deployer-input.conf supported, the deployed application (triploe) expected to provide  information for tempest runs. 

When the cinder backup is configured to use swift as backend, and it passes the client's credentials to swift , the client also has to have permission to swift.

At the moment the following roles gets access permission to swift:  admin, swiftoperator, ResellerAdmin

tempest creates user with only _member_ role ([auth]tempest_roles by default.

The operator role is not some high privilege role, all authenticated user could get it without an issue (As long as they pay for the storage ;-) ).

swiftoperator role as any other role by the default policy.json files, would grant enough permission to the user to use services like nova.

please make sure when tempest creates an user with the roles listed in [auth]tempest_roles, that user also able to create cinder backups.

The small hack would be to simple add  [auth]tempest_roles = swiftoperator tempest-deployer-input.conf whenever the  swiftoperator is created.

Please do not add the 'admin' role [auth]tempest_roles ever.

Comment 3 Christian Schwede (cschwede) 2016-11-03 19:00:34 UTC
Fix has been merged upstream, and is included in the latest python-tripleoclient build.

Comment 8 errata-xmlrpc 2016-12-14 16:15:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.